DOMElement::__construct
DOMElement::getAttributeNode
DOMElement
PHP Manual

# DOMElement::getAttribute

(PHP 5)

DOMElement::getAttribute — Returns value of attribute

### Description

public string DOMElement::getAttribute ( string `$name` )

Gets the value of the attribute with name `name` for the current node.

### Parameters

`name`

  The name of the attribute.

### Return Values

The value of the attribute, or an empty string if no attribute with the given `name` is found.

### See Also

- DOMElement::hasAttribute() - Checks to see if attribute exists
- DOMElement::setAttribute() - Adds new attribute
- DOMElement::removeAttribute() - Removes attribute

DOMElement::__construct
DOMElement::getAttributeNode
DOMElement
PHP Manual